@ECHO OFF

REM If your zdoom.ini file is in a location other than the default, put the path to your ZDoom .ini file here:
SET ZDoomINI="..\zdoom-%username%.ini"

REM Check to see if Wolf3D .ini file is already there
IF EXIST "zdoom-%username%-Wolf3D.ini" (
	REM If so, run normally
	start ..\zdoom.exe -config "zdoom-%username%-Wolf3d.ini" -iwad Wolf3D.pk3 -file Wolf3D_*.pk3 %*
) ELSE (
	REM If not, do initial setup for first run
	copy %ZDoomINI% "zdoom-%username%-Wolf3D.ini"
	start ..\zdoom.exe -config "zdoom-%username%-Wolf3d.ini" +exec Wolf3D.cfg -iwad Wolf3D.pk3 -file Wolf3D_*.pk3 %*
)